Name: VisualGST
Version: 0.0_rev183
Release: alt1

Summary: VisualGST is an IDE (Integrated Development Environment) for the GNU Smalltalk
License: MIT
Group: Development/Other
Url: http://visualgst.bioskop.fr/

Packager: Ildar Mulyukov <ildar@altlinux.ru>

#http://bioskop.fr/svn/gst/visualGST/trunk
Source: %name-%version.tar
Source1: %name.desktop
Source2: http://upload.wikimedia.org/wikipedia/commons/0/08/GNU_Smalltalk_logo.svg

BuildArch: noarch
BuildRequires: smalltalk zip

%description
VisualGST is an IDE (Integrated Development Environment) for the GNU Smalltalk (http://smalltalk.gnu.org/).
There are many tools for this IDE :
    * Transcript
    * Workspace
    * Browser
    * Finder
    * Inspector
    * Implementors
    * Senders
    * WebKit

%prep
%setup -q

%install
mkdir -p %buildroot%_bindir \
	%buildroot%_datadir/smalltalk \
	%buildroot%_desktopdir \
	%buildroot%_iconsdir/hicolor/scalable/apps

gst-package -t %buildroot%_datadir/smalltalk package.xml

head -2 %_datadir/smalltalk/examples/shell |
	cat - Load.st \
	 >> %buildroot%_bindir/gst-VisualGST

install -p %SOURCE1 %buildroot%_desktopdir
install -p %SOURCE2 %buildroot%_iconsdir/hicolor/scalable/apps

%files
%attr(755,root,root) %_bindir/*
%_datadir/smalltalk/*.star
%_desktopdir/%name.desktop
%_iconsdir/hicolor/scalable/apps/GNU_Smalltalk_logo.svg
%doc README TODO

%changelog
* Fri Jul 24 2009 Ildar Mulyukov <ildar@altlinux.ru> 0.0_rev183-alt1
- 1st package of VisualGST
